Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.adapter
Class PrivateGinModuleAdapter

    java.lang.Object
      com.google.inject.PrivateModule
          com.google.gwt.inject.rebind.adapter.PrivateGinModuleAdapter

All Implemented Interfaces:
  Module

    public class PrivateGinModuleAdapter

extends PrivateModule

Makes a `PrivateGinModule` available as a `Module`.

Constructor Summary
`PrivateGinModuleAdapter(PrivateGinModule ginModule, GinjectorBindings bindings)`

Method Summary
`void` | `configure()`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`

Methods inherited from class com.google.inject.PrivateModule
`addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindScope, configure, convertToTypes, currentStage, expose, expose, expose, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestStaticInjection, requireBinding, requireBinding`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivateGinModuleAdapter

    public PrivateGinModuleAdapter(PrivateGinModule ginModule,
                                   GinjectorBindings bindings)

Method Detail

### configure

    public void configure()

  Specified by:
    `configure` in class `PrivateModule`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD